<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-pp-std-uk" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if (isset($error['error_warning'])) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error['error_warning']; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-pp-std-uk" class="form-horizontal">
          <ul class="nav nav-tabs">
            <li class="active"><a href="#tab-general" data-toggle="tab"><?php echo $tab_general; ?></a></li>
          </ul>
          <div class="tab-content">
            <div class="tab-pane active" id="tab-general">
              
                <div class="form-group required">
                <label class="col-sm-2 control-label" for="app-key"><?php echo $app_key; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="portwallet_app_key" value="<?php echo $portwallet_app_key; ?>" placeholder="<?php echo $portwallet_app_key; ?>" id="entry-app-key" class="form-control"/>
<!--                  <?php if ($error_appkey) { ?>
                  <div class="text-danger"><?php echo $error_appkey; ?></div>
                  <?php } ?>-->
                </div>
              </div>
                
             <div class="form-group required">
                <label class="col-sm-2 control-label" for="secret-key"><?php echo $secret_key; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="portwallet_secret_key" value="<?php echo $portwallet_secret_key; ?>" placeholder="<?php echo $portwallet_secret_key; ?>" id="entry-secret-key" class="form-control"/>
                </div>
              </div> 
                
                
            <!--  <div class="form-group required">
                <label class="col-sm-2 control-label" for="service-charge"><?php echo $service_charge; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="portwallet_service_charge" value="<?php echo $portwallet_service_charge; ?>" placeholder="<?php echo $portwallet_service_charge; ?>" id="entry-service-charge" class="form-control"/>
                </div>
              </div> -->
                
                
<!--              <div class="form-group required">
                <label class="col-sm-2 control-label" for="success-url"><?php echo $success_url; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="portwallet_success_url" value="<?php echo $portwallet_success_url; ?>" placeholder="<?php echo $portwallet_success_url; ?>" id="entry-success-url" class="form-control"/>
                </div>
              </div>
                
              <div class="form-group required">
                <label class="col-sm-2 control-label" for="cancel-url"><?php echo $cancel_url; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="portwallet_cancel_url" value="<?php echo $portwallet_cancel_url; ?>" placeholder="<?php echo $portwallet_cancel_url; ?>" id="entry-cancel-url" class="form-control"/>
                </div>
              </div>    -->
                
                
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-live-demo"><span data-toggle="tooltip" title="<?php echo $help_test; ?>"><?php echo $entry_sandbox; ?></span></label>
                <div class="col-sm-10">
                  <select name="portwallet_sandbox" id="input-live-demo" class="form-control">
                    <?php if ($portwallet_sandbox) { ?>
                    <option value="1" selected="selected"><?php echo $text_yes; ?></option>
                    <option value="0"><?php echo $text_no; ?></option>
                    <?php } else { ?>
                    <option value="1"><?php echo $text_yes; ?></option>
                    <option value="0" selected="selected"><?php echo $text_no; ?></option>
                    <?php } ?>
                  </select>
                </div>
              </div>
             
                
             <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status-accepted"><?php echo $entry_order_status_accepted; ?></label>
            <div class="col-sm-10">
              <select name="portwallet_order_status_accepted" id="input-order-status" class="form-control">
                <?php foreach ($order_statuses as $order_status) { ?>
                <?php if ($order_status['order_status_id'] == $portwallet_order_status_accepted) { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div> 
                
                
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status-rejected"><?php echo $entry_order_status_rejected; ?></label>
            <div class="col-sm-10">
              <select name="portwallet_order_status_rejected" id="input-order-status" class="form-control">
                <?php foreach ($order_statuses as $order_status) { ?>
                <?php if ($order_status['order_status_id'] == $portwallet_order_status_rejected) { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>      
                
                
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
                <div class="col-sm-10">
                  <select name="portwallet_status" id="input-status" class="form-control">
                    <?php if ($portwallet_status) { ?>
                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                    <option value="0"><?php echo $text_disabled; ?></option>
                    <?php } else { ?>
                    <option value="1"><?php echo $text_enabled; ?></option>
                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                    <?php } ?>
                  </select>
                </div>
              </div>
            </div>
            
            <div class="form-group">
                <label class="col-sm-2 control-label" for="input-sort-order"><?php echo $entry_sort_order; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="portwallet_sort_order" value="<?php echo $portwallet_sort_order; ?>" placeholder="<?php echo $entry_sort_order; ?>" id="input-sort-order" class="form-control"/>
                </div>
              </div>  
             
                
                
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?>